Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.common.persistence
Class AbstractXmlSolutionImporter

    java.lang.Object
      org.drools.planner.examples.common.app.LoggingMain
          org.drools.planner.examples.common.persistence.AbstractSolutionImporter
              org.drools.planner.examples.common.persistence.AbstractXmlSolutionImporter

Direct Known Subclasses:
  NurseRosteringSolutionImporter

    public abstract class AbstractXmlSolutionImporter

extends AbstractSolutionImporter

Nested Class Summary
`class` | `AbstractXmlSolutionImporter.XmlInputBuilder`

Field Summary

Fields inherited from class org.drools.planner.examples.common.persistence.AbstractSolutionImporter
`DEFAULT_OUTPUT_FILE_SUFFIX, solutionDao`

Fields inherited from class org.drools.planner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`protected` | `AbstractXmlSolutionImporter(SolutionDao solutionDao)`

Method Summary
`abstract AbstractXmlSolutionImporter.XmlInputBuilder` | `createXmlInputBuilder()`
`String` | `getInputFileSuffix()`
`Solution` | `readSolution(File inputFile)`

Methods inherited from class org.drools.planner.examples.common.persistence.AbstractSolutionImporter
`acceptInputFile, acceptInputFileDuringBulkConvert, convertAll, getInputDir, getOutputDir, getOutputFileSuffix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractXmlSolutionImporter

    protected AbstractXmlSolutionImporter(SolutionDao solutionDao)

Method Detail

### getInputFileSuffix

    public String getInputFileSuffix()

  Specified by:
    `getInputFileSuffix` in class `AbstractSolutionImporter`

### createXmlInputBuilder

    public abstract AbstractXmlSolutionImporter.XmlInputBuilder createXmlInputBuilder()

### readSolution

    public Solution readSolution(File inputFile)

  Specified by:
    `readSolution` in class `AbstractSolutionImporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.